package diploma;

import java.util.*;
import java.awt.*;

public class Edge extends Object{
  String Value;
  int Mod;
  int Id;
  int Cnt;  //cislo hran ktere spojuji stejne uzly (napr. 1,2,3 smycka na uzlu)
  int Clr;  //cislo barvy - v VAR
  Node FromNode;
  Node ToNode;
  Edge NextEdge;
  Vector Ctrl;
  int[] Arrow;

  Edge() {
    Value = "";
    Mod = 0;
    Id = 0;
    Cnt = 1;
    Clr = 0;  //black
    FromNode = null;
    ToNode = null;
    NextEdge = null;
  }

  Edge(String init_value, int init_mod, int init_id, int init_cnt, int init_clr, Node init_fromnode, Node init_tonode, Edge init_nextedge, Vector init_ctrl) {
    Value = init_value;
    Mod = init_mod;
    Id = init_id;
    Cnt = init_cnt;
    Clr = init_clr;
    FromNode = init_fromnode;
    ToNode = init_tonode;
    NextEdge = init_nextedge;
    Ctrl = init_ctrl;
  }

  //accessors GET
  public String GetValue() {
    return Value;
  }

  public int GetMod() {
    return Mod;
  }

  public int GetId() {
    return Id;
  }
  
  public int GetCnt() {
    return Cnt;
  }

  public int GetClr() {
    return Clr;
  }

  public Node GetFromNode() {
    return FromNode;
  }

  public Node GetToNode() {
    return ToNode;
  }

  public Edge GetNextEdge() {
    return NextEdge;
  }

  public Vector GetCtrl() {
    return Ctrl;
  }

  public int[] GetArrow() {
    return Arrow;
  }

  public void SetValue(String new_value) {
    Value = new_value;
  }

  public void SetMod(int new_mod) {
    Mod = new_mod;
  }

  public void SetId(int new_id) {
    Id = new_id;
  }

  public void SetCnt(int new_cnt) {
    Cnt = new_cnt;
  }

  public void SetClr(int new_clr) {
    Clr = new_clr;
  }

  public void SetFromNode(Node new_fromnode) {
    FromNode = new_fromnode;
  }

  public void SetToNode(Node new_tonode) {
    ToNode = new_tonode;
  }

  public void SetNextEdge(Edge new_nextedge) {
    NextEdge = new_nextedge;
  }

  public void SetCtrl(Vector new_ctrl) {
    Ctrl = new_ctrl;
  }

  public void SetArrow(int[] new_arrow) {
    Arrow = new_arrow;
  }

}
