package diploma;

import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.text.*;


public class ThreadVisualize extends Thread {

Graph G;
JTextPane jTextPane1;
MyPanel myPanel1;
JTextArea Output;
int mod;
Vars VAR;

int okoli=20;   //polomer okoli uzlu, ktere se ma prekreslovat pri repaintu 



//******************************************************************************
ThreadVisualize(Graph TVG, JTextPane TVjTextPane1, MyPanel TVmyPanel1, JTextArea TVOutput, int init_mod, Vars init_VAR){
  G = TVG;
  jTextPane1 = TVjTextPane1;
  myPanel1 = TVmyPanel1;
  Output = TVOutput;
  mod = init_mod;
  VAR = init_VAR;
}


//******************************************************************************
void GiveAllTrans(Vector v1, String z, Vector v2){
    //nastavi vektor v2
    //Vector v2 = new Vector();
    while(!v1.isEmpty()){
        Node n = (Node)v1.elementAt(0);
            EdgeListItem eli = n.FirstEdgeOut;
            while(eli!=null){
                if(Accept(eli.FinalEdge.GetValue(), z)){
                    v2.addElement(eli.FinalEdge);
                    v2.addElement(eli.FinalEdge.GetToNode());
                    if(eli.FinalEdge.GetValue().equals("EPS") && !v1.contains(eli.FinalEdge.GetToNode())){
                        v1.addElement(eli.FinalEdge.GetToNode());
                    }
                }
                eli = eli.NextEdge;
            }
            v1.removeElementAt(0);
    }
    //return v2;
}


//******************************************************************************
boolean Accept(String a, String b){
    if(a.equals("EPS") || a.equals("DC") || a.equals(b)){
        return true;        
    } 
    else if(a.charAt(0)=='!' && a.length()>1){
        Vector v = new Vector();
        StringBuffer sb = new StringBuffer(a);
        StringTokenizer st = new StringTokenizer(sb.deleteCharAt(0).toString(), "!");
        while(st.hasMoreTokens()){
            v.addElement(st.nextToken());            
        }
        if(!v.contains(b)){ return true; }
        else{ return false;}
    }
    else {
        return false;
    }
}

//******************************************************************************
boolean Accept2(String a, String b){
    if(a.charAt(0)=='!' && a.length()>1){
        Vector v = new Vector();
        StringBuffer sb = new StringBuffer(a);
        StringTokenizer st = new StringTokenizer(sb.deleteCharAt(0).toString(), "!");
        while(st.hasMoreTokens()){
            v.addElement(st.nextToken());            
        }
        if(!v.contains(b)){ return true; }
        else{ return false;}
    }
    else {
        return false;
    }
}

//******************************************************************************
boolean OkNode(Node n, String s, Vector v){
    boolean ret=false;
    EdgeListItem eli = n.FirstEdgeIn;
        while(eli!=null){
            if(eli.FinalEdge.GetValue().equals(s) || eli.FinalEdge.GetValue().equals("DC") || Accept2(eli.FinalEdge.GetValue(), s)){// && v.contains(eli.FinalEdge.GetFromNode())){                
                ret=true;
            }
            eli=eli.NextEdge;
        }
        //System.out.println(ret);
        return ret;
}


//******************************************************************************
public void run(){
    int PATH=VAR.GetHicolor();  //barva nalezene cesty
    boolean found = false;  //obsahuje indikaci, zda byl zadany vzorek v prohledavanem textu nalezen
    Node n, node;
    Edge e;
    String text = jTextPane1.getText();
    Vector v1 = new Vector();
    Vector v2 = new Vector();    
    int k=0;  //aktualni pozice v textu
    int i=0;  //docasna pozice v textu >=k
    
    while(k<text.length() && i<text.length() && !found){
        //pocatecni nastaveni barev(RESET) pred spustenim automatu
        G.DefaultColor();
        ColorizeText(k, i, jTextPane1);
        myPanel1.repaint();              
        pause(); //resp suspend
          
        i = k; //docasna pozice v textu(buffer shody) se po restartu vrati zpet na aktualni pozici v textu
       // System.out.println("Pozice v textu: "+k+", Docasna pozice v textu: "+i+", Akt.znak: "+String.valueOf(text.charAt(i)));
        v1.addElement(node=G.FindNode("START"));
        node.SetColor(PATH);
        //nastaveni barev a prekresleni
        ColorizeText(k, i, jTextPane1);
        myPanel1.repaint();
        pause();
        
        while(!v1.isEmpty() && i<text.length()){
            v2.removeAllElements();            
            GiveAllTrans(v1, String.valueOf(text.charAt(i)), v2);  //nastav v2
          //  System.out.println("v2size: "+v2.size());
            v1.removeAllElements();  //asi zbytecny
            if(!v2.isEmpty()){
                for(int j=0; j<v2.size(); j++){                    
                    if(v2.elementAt(j) instanceof diploma.Edge){
                       // System.out.println(j+"-ta: instance of edge " + ((Edge)v2.elementAt(j)).GetValue());
                        ((Edge)v2.elementAt(j)).SetClr(PATH);                      
                    }
                    else if(v2.elementAt(j) instanceof diploma.Node){
                       // System.out.println(j+"-ta: instance of node "+((Node)v2.elementAt(j)).GetName());
                        (n = (Node)v2.elementAt(j)).SetColor(PATH); 
                        if(OkNode(n, String.valueOf(text.charAt(i)), v2)){v1.addElement(n);} //pouze pokud do nej vede hrana pres znak a vychazi z uzlu obsazeneho                         
                        if(n.GetMod()<0){
                            //System.out.println("VZOREK NALEZEN !!!"); 
                            if(mod==1 || mod==2){
                                found=true; 
                                break;
                            }else if(mod==3 || mod==4){
                                JOptionPane.showMessageDialog(null,"Vzorek BYL nalezen na pozici\n text["+k+"] az ["+i+"].","INFO",JOptionPane.INFORMATION_MESSAGE);
                            }                        
                        }
                    }
                    ColorizeText(k, i, jTextPane1);
                    myPanel1.repaint();
                    pause();
                    
                }
                if(found){break;}
               // System.out.println("Docasna pozice v textu: "+i);
                i++; //docasna pozice v textu se zvysi
            }
        }//endwhile
        if(found){break;}
        k++;
    }//endwhile
    
    if(found) {JOptionPane.showMessageDialog(myPanel1,"Vzorek zadany pomoci RE\n BYL nalezen na pozici\n text["+k+"] az ["+i+"].","INFO",JOptionPane.INFORMATION_MESSAGE);}
    else {JOptionPane.showMessageDialog(myPanel1,"Vzorek zadany pomoci RE\n NEBYL nalezen.","INFO",JOptionPane.INFORMATION_MESSAGE);}

/*
    String text = jTextPane1.getText();
    String z;  //aktualni znak/pozice v textu
    Vector v1 = new Vector(); //uzly ve v1 se v cyklu prochazeji
    Vector v2 = new Vector(); //na zaklade zkoumani v1 se vytvori vektor nasledniku v2 a v2 se prekopiruje do v1 atd.
    Vector v3 = new Vector(); //obsahuje vsechny prime nasledniky
    int k; //iterator posouvani znaku
    boolean ACCEPT = false;
    boolean NEXT = false;


    for(int j=0; j<text.length(); j++){ //posouva text po znacich, mozno zefektivnit
            v1.clear(); //zacinam od piky, nuluju seznam nasledniku
            k=j;  //iterator pro shodny text je nutno take vynulovat
            z=String.valueOf(text.charAt(j));  //aktualni znak v textu
            //System.out.println("Aktualni znak: " + z + "\n");
            G.DefaultColor(); //nastavi barvy uzlu na default (vse cerne, konecne stavy cervene)
            myPanel1.repaint(); 
            ColorizeText(j,k,jTextPane1);
            //System.out.println("Defaultni barvy");
            pause(2000);
            v1.addElement(new Pair(G.FindNode("START"), "START"));
            //System.out.println("Do seznamu 'v1' pridan uzel: " + ((Pair)v1.lastElement()).Print() + "\n");

        do{       //hledani shody, pocinaje znakem z
            for(int i=0; i<v1.size(); i++){
                ((Pair)v1.elementAt(i)).GetNode().SetColor(5);    //obarveni aktualniho uzlu - prosly GRAY
                myPanel1.repaint(((Pair)v1.elementAt(i)).GetNode().X-okoli,
                                 ((Pair)v1.elementAt(i)).GetNode().Y-okoli,
                                 ((Pair)v1.elementAt(i)).GetNode().X+okoli,
                                 ((Pair)v1.elementAt(i)).GetNode().Y+okoli);
                //System.out.println("Obarveni aktualniho uzlu");
                pause(2000);
                if(((Pair)v1.elementAt(i)).GetNode().GetMod()<0){ //stav automatu je konecny, vzorek je akceptovan,postupne vyskakuju z cyklu !!
                    //System.out.println("Konecny stav\n");
                    v2.clear();
                    ACCEPT = true;
                    //System.out.println("break1\n");
                    break;//z for
                }
                else{  //stav neni konecny, hledam vhodne nasledniky
                   //System.out.println("FASuccessors\n");
                   G.FindAllSuccessors(((Pair)v1.elementAt(i)).GetNode(), v3, z);   //stav neni konecny, proveruju nasledniky
                   G.FindOkSuccessors(((Pair)v1.elementAt(i)).GetNode(), v2, z);
            }
            }//end for - nyni mam nalezeny vsechny vhodne nasledniky ve vektoru v2
            if(ACCEPT){ 
                //System.out.println("break2"); 
                break;
            } //jsem v konecnem stavu, akceptuji, vyskakuju z cyklu

            //ok byli nalezeni nejaci naslednici
            if(!v2.isEmpty() && text.length() > k){
                //System.out.println("v2 non empty and some text\n");
                //nakreslim uplne vsechny prime nasledniky daneho uzlu
                for(int i=0; i<v3.size(); i++){
                    ((Pair)v3.elementAt(i)).GetNode().SetColor(3);
                    myPanel1.repaint(((Pair)v3.elementAt(i)).GetNode().X-okoli,
                                     ((Pair)v3.elementAt(i)).GetNode().Y-okoli,
                                     ((Pair)v3.elementAt(i)).GetNode().X+okoli,
                                     ((Pair)v3.elementAt(i)).GetNode().Y+okoli);
                    //pomalu vykresluju nasledniky v grafu
                    pause(50);
                } //end for - nyni mam vykresleny vsechny nasledniky
                pause(2000);
                //prochazim vsechny prime nasledniky daneho uzlu, pokud jsou vhodne
                //oznacim je, pokud ne tak je opet zacernim
                boolean b;
                for(int i=0; i<v3.size(); i++){
                    b=false;
                    for(int m=0; m<v2.size(); m++){
                      if(((Pair)v2.elementAt(m)).GetNode().equals(((Pair)v3.elementAt(i)).GetNode()) ){
                            b=true;
                      }
                    }
                    if(b){
                        ((Pair)v3.elementAt(i)).GetNode().SetColor(2);
                    }
                    else{
                        ((Pair)v3.elementAt(i)).GetNode().SetColor(0);
                    }
                                        
                    myPanel1.repaint(((Pair)v3.elementAt(i)).GetNode().X-okoli,
                                     ((Pair)v3.elementAt(i)).GetNode().Y-okoli,
                                     ((Pair)v3.elementAt(i)).GetNode().X+okoli,
                                     ((Pair)v3.elementAt(i)).GetNode().Y+okoli);
                    //pomalu vykresluju nasledniky v grafu
                    pause(50);
                } //end for - nyni mam vykresleny vsechny nasledniky
                v3.clear();
                pause(2000);
                //projity vektor uzlu bude zapomenut, ted budu prochazet v2 zkopirovane do v1
                //System.out.println("Kopiruju v2 do v1, v2 mazu");
                v1 = (Vector)v2.clone();
                v2.clear();
                k++;          //iterator ktery vychazi z aktualni master-pozice (j) v textu, j se ted nemeni, j=k, pokud se tedy shoduji
                              //j-pozice textu s vzorkem, pok kontroluju postupne dokud to ma smysl pozice j+1, j+2 coz je prave inkrement k++
                pause(2000);
                ColorizeText(j,k,jTextPane1);
                if(text.length()>k) {
                    z = String.valueOf(text.charAt(k));
                //    System.out.println("Promenna k je: " + k + "znak: " + z + "\n");
                }
                NEXT = true;
            }//end if
            else{   //iterace pomoci 'k' nema smysl, mohu posunout master pozici 'j'
                //if(v2.isEmpty()) {System.out.println("v2 is empty\n");}
                //else{System.out.println("none text\n");}
                NEXT = false;
            }

        } while(NEXT);

        if(ACCEPT){ 
            //System.out.println("break3\n"); 
            break;
        }

    } //end for


    System.out.println("Vysledek: " + String.valueOf(ACCEPT) + "\n");
*/
}//end of run()




void ColorizeText(int j, int k, JTextPane jTextPane1){
      String s="";
      String pole[] ={"","","",""}; //precteno OK, precteno KO, aktualni, neprecteno
      String styl[] ={"st1","st2","st3","st4"};

      Document doc = jTextPane1.getDocument();
            try {
              s = doc.getText(0,doc.getLength());
              pole[0]=s.substring(0,j);
              pole[1]=s.substring(j,k);
              pole[2]=s.substring(k, k+1);
              pole[3]=s.substring(k+1);              
              //pole[2]=s.substring(k, Math.min(k+1,s.length()) );
              //pole[3]=s.substring(Math.min(k+1,s.length()) );
              initStylesForTextPane(jTextPane1);              
              doc.remove(0,doc.getLength());
              for (int i=0; i < pole.length; i++) {
                doc.insertString(doc.getLength(), pole[i], jTextPane1.getStyle(styl[i]));
              }
            }
            catch (BadLocationException ble) {
              System.err.println("Couldn't get text.");
            }
}




protected void initStylesForTextPane(JTextPane jTextPane1) {
        //Initialize some styles.
        Style def = StyleContext.getDefaultStyleContext().getStyle(StyleContext.DEFAULT_STYLE);

        Style st1 = jTextPane1.addStyle("st1", def);     //1
        StyleConstants.setForeground(st1, Color.lightGray);
      
        Style st2 = jTextPane1.addStyle("st2", def);       //2
        StyleConstants.setForeground(st2, Color.blue);

        Style st3 = jTextPane1.addStyle("st3", def);               //3
        StyleConstants.setForeground(st3, Color.red);

        Style st4 = jTextPane1.addStyle("st4", def);              //4
        StyleConstants.setForeground(st4, Color.black);
    }


//#########################################################
void pause(){
    try{ 
        if(mod==1 || mod==3){
            java.lang.Thread.sleep(VAR.GetPause()); 
          //  System.out.println("PAUSE ("+VAR.GetPause()+")");
        }
        else if(mod==2 || mod==4){ //manualni rezim
        
            Object[] options = {"OK", "KO"};
            JOptionPane pane = new JOptionPane("Dalsi krok", JOptionPane.PLAIN_MESSAGE, JOptionPane.YES_NO_OPTION, null, options);
            JDialog dialog = pane.createDialog(null, "Manual");
            dialog.setBounds((int)myPanel1.getBounds().getWidth()-120,(int)myPanel1.getBounds().getHeight()+100,120,100);        
            dialog.show();
            String value = (String)pane.getValue();
            if (value.equals("KO")) {this.stop();} 
           // pane = null;
        }       
    } 
    catch(InterruptedException e){ }
}    
    
    
}//end of class
